diff --git a/web/.editorconfig b/web/.editorconfig
new file mode 100644
index 00000000..0271cc91
--- /dev/null
+++ b/web/.editorconfig
@@ -0,0 +1,30 @@
+# Config helps developers define and maintain consistent
+# coding styles between different editors and IDEs
+# editorconfig.org
+
+root = true
+
+# We recommend you to keep these unchanged
+[*]
+indent_style = space
+end_of_line = lf
+charset = utf-8
+trim_trailing_whitespace = true
+insert_final_newline = true
+max_line_length = 80
+
+[*.py]
+indent_size = 4
+
+[*.js]
+indent_size = 2
+
+[*.css]
+indent_size = 2
+
+# Matches the exact file package.json
+[{package.json}]
+indent_size = 2
+
+[*.md]
+trim_trailing_whitespace = false
diff --git a/web/package.json b/web/package.json
index 72b9fb6e..8e7fee34 100644
--- a/web/package.json
+++ b/web/package.json
@@ -7,6 +7,7 @@
     "cross-env": "^5.0.1",
     "enzyme": "~2.8.2",
     "enzyme-matchers": "^3.1.0",
+    "eclint": "^2.3.0",
     "eslint": "3.19.0",
     "eslint-plugin-react": "^6.10.3",
     "extract-text-webpack-plugin": "^2.1.2",
